none
mssql installation on centos RRS feed

  • Question

  • centos -->Centos 6.8

    --> Running transaction check
    ---> Package mssql-server.x86_64 0:14.0.304.138-1 will be installed
    --> Processing Dependency: openssl >= 1:1.0.1 for package: mssql-server-14.0.304                                                                                        .138-1.x86_64
    --> Processing Dependency: systemd-units for package: mssql-server-14.0.304.138-                                                                                        1.x86_64
    --> Processing Dependency: systemd-units for package: mssql-server-14.0.304.138-                                                                                        1.x86_64
    --> Processing Dependency: systemd for package: mssql-server-14.0.304.138-1.x86_                                                                                        64
    --> Processing Dependency: numactl-libs for package: mssql-server-14.0.304.138-1                                                                                        .x86_64
    --> Processing Dependency: systemd for package: mssql-server-14.0.304.138-1.x86_                                                                                        64
    --> Finished Dependency Resolution
    Error: Package: mssql-server-14.0.304.138-1.x86_64 (packages-microsoft-com-mssql                                                                                        -server)
               Requires: systemd
    Error: Package: mssql-server-14.0.304.138-1.x86_64 (packages-microsoft-com-mssql                                                                                        -server)
               Requires: openssl >= 1:1.0.1
               Installed: openssl-1.0.1e-48.el6.x86_64 (@anaconda-CentOS-20160522010                                                                                        4.x86_64/6.8)
                   openssl = 1.0.1e-48.el6
               Available: openssl-1.0.1e-48.el6_8.1.i686 (updates)
                   openssl = 1.0.1e-48.el6_8.1
               Available: openssl-1.0.1e-48.el6_8.3.i686 (updates)
                   openssl = 1.0.1e-48.el6_8.3
               Available: openssl-1.0.1e-48.el6_8.4.i686 (updates)
                   openssl = 1.0.1e-48.el6_8.4
    Error: Package: mssql-server-14.0.304.138-1.x86_64 (packages-microsoft-com-mssql                                                                                        -server)
               Requires: numactl-libs
    Error: Package: mssql-server-14.0.304.138-1.x86_64 (packages-microsoft-com-mssql                                                                                        -server)
               Requires: systemd-units
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest

    Check and confirm.


    Please Mark it as Answered if it answered your question OR mark it as Helpful if it help you to solve your problem.

    Saturday, March 11, 2017 3:30 PM

All replies

  • That does not look like a supported Linux platform: https://www.microsoft.com/en-us/sql-server/sql-server-vnext-including-linux

    Please mark as answer, if this was it. Visit my SQL Server Compact blog http://erikej.blogspot.com

    Saturday, March 11, 2017 3:58 PM
  • Thanks for Reply,I had change machine.

    Package mssql-server-14.0.304.138-1.x86_64 already installed and latest version
    Package mssql-tools-14.0.3.0-1.x86_64 already installed and latest version
    Nothing to do
    [root@DBATCNTLL04 ~]# /opt/mssqlbin/sqlserver-setup
    -bash: /opt/mssqlbin/sqlserver-setup: No such file or directory
    [root@DBATCNTLL04 ~]# ls -lrt /opt/mssql/bin/
    total 2016
    -rwxrwxr-x. 1 root root    983 Feb 17 02:32 mssql-conf
    -rwxrwxr-x. 1 root root 673632 Feb 17 02:33 sqlservr-telemetry
    -rwxr-xr-x. 1 root root   9100 Feb 17 02:33 generate-core.sh
    -rwxr-xr-x. 1 root root   2479 Feb 17 02:33 compress-dump.sh
    -rwxr-xr-x. 1 root root 682312 Feb 17 02:33 sqlservr
    -rwxr-xr-x. 1 root root 682312 Feb 17 02:33 sqlpackage
    [root@DBATCNTLL04 ~]#
    
    sql-setup is not find.can help on this ?


    Please Mark it as Answered if it answered your question OR mark it as Helpful if it help you to solve your problem.

    Sunday, March 12, 2017 3:52 AM